PATH_COMICS_11_ON_SHOWN              = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_11_LEVER	             = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_11_COMMUNICATOR          = 'data/Scenes/Comics/11_HelpersComicsCommunicator.lua'
PATH_COMICS_11_CORRUPT_PALM          = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_11_START_READ_PALM       = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())
    local pf = play_field
    local level = pf:GetLevelScreen()

    ---------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('BATTERY', '', 'battery'))
    AddRandomTasks(14,
                   CreateTask('ALARM_CLOCK', '', 'alarm_clock'),
                   CreateTask('BAG', '', 'bag'),
                   CreateTask('DUSTBIN', '', 'bucket'),
                   CreateTask('CARDS', '', 'cards'),
                   --CreateTask('CLOCK', '', 'clock'),
                   CreateTask('FAN', '', 'fan'),
                   CreateTask('GLOVE', '', 'glove'),
                   CreateTask('HAMMER', '', 'hammer'),                   
                   CreateTask('JUG', '', 'jug'),
                   CreateTask('KNIFE', 'KNIVES', 'knife', 'knife1', 'knife2', 'knife3', 'knife4', 'knife5', 'knife6', 'knife7', 'knife8', 'knife9', 'knife10', 'knife11'),
                   CreateTask('LANTERN', '', 'lantern'),
                   CreateTask('PADLOCK', '', 'lock'),
                   CreateTask('MAGNET', '', 'magnet'),
                   CreateTask('MATCHES', '', 'match'),                   
                   CreateTask('SPIRAL', '', 'spiral'),
                   CreateTask('TV_SET', '', 'tv_set'),
                   CreateTask('WATERING_CAN', '', 'watering_can'),
				   CreateTask('WRENCH', '', 'wrench'),
				   CreateTask('RAG', '', 'rag'),
				   CreateTask('BULLET', '', 'bullet'),
				   CreateTask('GEAR', '', 'gear'),
				   CreateTask('LETTER_A', '', 'A'),
				   CreateTask('DRUM', 'DRUMS', 'drum1', 'drum2', 'drum3', 'drum4', 'drum5', 'drum6', 'drum7'),
				   CreateTask('DRAGONFLY', 'DRAGONFLIES', 'dragonfly1', 'dragonfly2', 'dragonfly3', 'dragonfly4', 'dragonfly5'),
				   CreateTask('BICYCLE', 'BICYCLES', 'bicycle1', 'bicycle2', 'tricycle'),
				   CreateTask('PAIR_OF_MITTENS', 'PAIRS_OF_MITTENS', 'pair_of_mittens1', 'pair_of_mittens2'),
				   CreateTask('ELEPHANT', '', 'elephant'),
				   CreateTask('TULIP', '', 'tulip')
                   );
    ---------------------------------------------------------------------------------------------	
	zone_cabin = CreateZoomZone('close_zone_cabin',
                               'pixel_cabin',
                               'ZoomCabinBg',
                               'wrench',
                               'rag',
							   'gear',
							   'bullet',
							   'A',
							   'pixel_lever',
							   'LeverOn',
							   'LeverOff'
							   );
	pf:GetObject('LeverOn'):SetMaxOpacity(0)
	pf:GetObject('LeverOff'):SetMaxOpacity(0)
	pf:GetObject('pixel_lever'):SetMaxOpacity(0.01)
	zone_cabin.OnHidden = function()
		if HasGameState('LeverClicked') then
			if toboolean(GetGameState('LeverClicked'):Get(0)) and pf:GetObject('door_opened'):GetOpacity() == 0 then
				pf:GetObject('door_opened'):ChangeOpacity(0, 1, 1)
				pf:GetObject('door_closed'):ChangeOpacity(1, 0, 1)
				RegisterZoomZone(zone_hatch, 'pixel_hatch')
			end
		end
	end
	---------------------------------------------------------------------------------------------	
	local photo_action_lever = function()   
                             end
    local apply_action_lever = function(save)
								
								if save then
									if not HasGameState('LeverClicked', 'true') then										
										pf:GetObject('LeverOff'):SetMaxOpacity(1)
									end
								else
									pf:GetObject('LeverOff'):SetMaxOpacity(1)
									pf:GetObject('LeverOff'):ChangeOpacity(0, 1, 0.3)
									MakeSoundEntity('11_insert_lever'):Play(false)
								end
                             end
	
	local photo_lever = CreatePhotoZone('lever',										
										'LEVER',
										'lever_photo',
										photo_action_lever,
										'pixel_lever',
										apply_action_lever)
    ---------------------------------------------------------------------------------------------	
	local clickOnLever = function(save)
		play_field:GetObject('LeverOn'):SetMaxOpacity(1)
		play_field:GetObject('LeverOff'):SetMaxOpacity(0)
		if save then			
		else
			play_field:GetObject('LeverOn'):ChangeOpacity(0, 1, 0.2)
			play_field:GetObject('LeverOff'):ChangeOpacity(1, 0, 0.2)
			MakeSoundEntity('11_use_lever'):Play(false)
			
			zone_cabin.SetVisible(false)
		end		
		DisableZoomZoneRequest(zone_cabin)
		if not HasGameState('LeverClicked') then
            AddGameState('LeverClicked', 'true')
        end
    end
    RegisterActiveObject('LeverOff', clickOnLever, false, GetCursorArms());
	--------------------------------------------------------------------------------------------
    play_field:GetObject('door_opened'):SetOpacity(0)
	--------------------------------------------------------------------------------------------
	zone_hatch = CreateZoomZone('close_zone_hatch',
                               '',
                               'BgZoomHatch',
                               'battery',
                               'Batareya_zoom11_zaglushka'
							   );
	--------------------------------------------------------------------------------------------
	if HasGameState('LeverClicked') then
		if toboolean(GetGameState('LeverClicked'):Get(0)) then
			play_field:GetObject('door_opened'):SetOpacity(1)
			play_field:GetObject('door_closed'):SetOpacity(0)
			RegisterZoomZone(zone_hatch, 'pixel_hatch')
		end
	end
	--------------------------------------------------------------------------------------------
	local object = play_field:GetObject('01')
    local af = CreateAnimationEffector()
    af:AttachTo(object)
    af:SetMode(_ANIM_LOOP + _ANIM_PINGPONG)
    af:SetKey(_TRACK_O, 0.0, 0)
    af:SetKey(_TRACK_O, 1, 1.0)    
    af:Play()
    
    local object = play_field:GetObject('02')
    local af = CreateAnimationEffector()
    af:AttachTo(object)
    af:SetMode(_ANIM_LOOP + _ANIM_PINGPONG)
    af:SetKey(_TRACK_O, 0.0, 1)
    af:SetKey(_TRACK_O, 1, 0.0)    
    af:Play()
	---------------------------------------------------------------------------------------------
    game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_11_ON_SHOWN, 'COMICS_11_ON_SHOWN');
                                                end );
    
	game_state.chain_lever = RegisterComicsEx(function()
											        LoadComicsWithOneReplicHeroes(PATH_COMICS_11_LEVER, 'COMICS_11_LEVER');
									          end );
    SetHintComicsPhotoZoneEx(photo_lever, game_state.chain_lever);									          
									  
    game_state.chain_start_read_palm = RegisterComicsEx(function()
											            LoadComicsWithOneReplicHeroes(PATH_COMICS_11_START_READ_PALM, 'COMICS_11_START_READ_PALM');
									                 end )					  
    game_state.chain_start_read_palm.OnHidden = function()
        game_state.chain_communicator.Play()
    end
									  
    game_state.chain_communicator = RegisterComicsEx(function()
											            LoadComics(PATH_COMICS_11_COMMUNICATOR)
									                 end )					  
    game_state.chain_communicator.OnHidden = function()
        game_state.chain_corrupt_palm.Play()
    end
    
    game_state.chain_corrupt_palm = RegisterComicsEx(function()
											            LoadComicsWithOneReplicHeroes(PATH_COMICS_11_CORRUPT_PALM, 'COMICS_11_CORRUPT_PALM');
									                 end )					  
    game_state.chain_corrupt_palm.OnHidden = function()
        NotesFound('Notes_6')
        OnWin()
    end
	---------------------------------------------------------------------------------------------
	play_field:IgnoreOnTestPoint('01')
	play_field:IgnoreOnTestPoint('02')
end

function OnSceneFree()
    FreeData()
end

function OnHiddenComics(comics)
end

function OnScreenShown(fade_out)
	if fade_out then
       game_state.chain_on_shown.Play()
    end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnWin()
    if game_state.chain_corrupt_palm.played == false then
        return;
    end
    
    if play_field:GetLevelScreen():IsCompleteLevel() then
        OnWinLevel()
    end
end

function OnLose()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object);
    
    return is_wrong_click;
end

function OnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object);
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object);
end

function OnObjectReachPanel(object)
	DefaultOnObjectReachPanel(object)
	
	if object:GetName() == 'battery' then  
	    game_state.chain_start_read_palm.Play()
	end
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)	
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/bag.png',0,0,137,96,1,0)
	anim:SetHotSpot(68,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag',anim,740,467,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/bucket.png',0,0,99,108,1,0)
	anim:SetHotSpot(49,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket',anim,856,656,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/cards.png',0,0,127,76,1,0)
	anim:SetHotSpot(63,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cards',anim,467,590,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/clock.png',0,0,51,52,1,0)
	anim:SetHotSpot(25,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock',anim,697,92,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/fan.png',0,0,73,81,1,0)
	anim:SetHotSpot(36,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,678,279,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/glove.png',0,0,33,51,1,0)
	anim:SetHotSpot(16,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glove',anim,683,204,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/hammer.png',0,0,67,39,1,0)
	anim:SetHotSpot(33,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer',anim,381,474,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/lock.png',0,0,31,33,1,0)
	anim:SetHotSpot(15,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lock',anim,861,129,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/magnet.png',0,0,60,36,1,0)
	anim:SetHotSpot(30,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('magnet',anim,484,728,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/match.png',0,0,64,46,1,0)
	anim:SetHotSpot(32,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('match',anim,595,610,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/spiral.png',0,0,73,81,1,0)
	anim:SetHotSpot(36,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spiral',anim,896,380,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/tricycle.png',0,0,183,152,1,0)
	anim:SetHotSpot(91,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tricycle',anim,277,496,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/tv_set.png',0,0,92,72,1,0)
	anim:SetHotSpot(46,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tv_set',anim,528,315,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/watering_can.png',0,0,128,67,1,0)
	anim:SetHotSpot(64,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watering_can',anim,337,692,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Layers/alarm_clock_layer.png',0,0,158,81,1,0)
	anim:SetHotSpot(79,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('alarm_clock_layer',anim,937,728,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Layers/tv_set_layer.png',0,0,97,68,1,0)
	anim:SetHotSpot(48,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tv_set_layer',anim,527,320,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Layers/watering_can_layer_1.png',0,0,132,72,1,0)
	anim:SetHotSpot(66,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watering_can_layer_1',anim,318,708,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/ZoomCabin/Items/A.png',0,0,33,36,1,0)
	anim:SetHotSpot(16,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('A',anim,561,494,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/ZoomCabin/Items/bullet.png',0,0,39,69,1,0)
	anim:SetHotSpot(19,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bullet',anim,334,580,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/ZoomCabin/Items/gear.png',0,0,44,47,1,0)
	anim:SetHotSpot(22,23)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('gear',anim,433,378,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/ZoomCabin/Items/rag.png',0,0,137,71,1,0)
	anim:SetHotSpot(68,35)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('rag',anim,500,581,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/ZoomCabin/Items/wrench.png',0,0,80,48,1,0)
	anim:SetHotSpot(40,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench',anim,411,273,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/ZoomCabin/Layers/ZoomCabinBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomCabinBg',anim,512,384,800,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_cabin',anim,338,245,100,0,16,10)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/lever.png',0,0,119,51,1,0)
	anim:SetHotSpot(59,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lever',anim,746,703,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/ZoomCabin/Layers/LeverOff.png',0,0,59,141,1,0)
	anim:SetHotSpot(29,70)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('LeverOff',anim,496,462,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/ZoomCabin/Layers/LeverOn.png',0,0,108,107,1,0)
	anim:SetHotSpot(54,53)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('LeverOn',anim,520,477,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_lever',anim,481,515,810,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Photo/lever_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lever_photo',anim,92,383,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Layers/door_closed.png',0,0,83,102,1,0)
	anim:SetHotSpot(41,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door_closed',anim,462,423,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Layers/door_opened.png',0,0,100,81,1,0)
	anim:SetHotSpot(50,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door_opened',anim,453,432,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_hatch',anim,464,422,100,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/ZoomHatch/Batareya_zoom11_zaglushka.png',0,0,43,39,1,0)
	anim:SetHotSpot(21,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Batareya_zoom11_zaglushka',anim,685,546,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/ZoomHatch/battery.png',0,0,94,55,1,0)
	anim:SetHotSpot(47,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('battery',anim,658,533,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/ZoomHatch/BgZoomHatch.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('BgZoomHatch',anim,512,384,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Animations/MOTUL.png',0,0,81,52,23,10)
	anim:SetHotSpot(40,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('MOTUL',anim,770,135,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Animations/MUX.png',0,0,207,193,16,10)
	anim:SetHotSpot(104,97)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('MUX',anim,657,476,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Animations/01.png',0,0,369,417,1,0)
	anim:SetHotSpot(184,208)
	anim:SetBlendMode(3)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('01',anim,682,244,125,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Animations/02.png',0,0,369,417,1,0)
	anim:SetHotSpot(184,208)
	anim:SetBlendMode(1)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('02',anim,671,270,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/alarm_clock.png',0,0,100,63,1,0)
	anim:SetHotSpot(50,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('alarm_clock',anim,1017,713,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/bicycle1.png',0,0,69,38,1,0)
	anim:SetHotSpot(34,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bicycle1',anim,464,122,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/bicycle2.png',0,0,73,75,1,0)
	anim:SetHotSpot(36,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bicycle2',anim,910,302,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/dragonfly1.png',0,0,59,48,1,0)
	anim:SetHotSpot(29,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dragonfly1',anim,236,121,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/dragonfly2.png',0,0,53,51,1,0)
	anim:SetHotSpot(26,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dragonfly2',anim,981,96,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/dragonfly3.png',0,0,61,58,1,0)
	anim:SetHotSpot(30,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dragonfly3',anim,559,454,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/dragonfly4.png',0,0,70,63,1,0)
	anim:SetHotSpot(35,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dragonfly4',anim,269,724,126,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/dragonfly5.png',0,0,73,52,1,0)
	anim:SetHotSpot(36,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dragonfly5',anim,928,740,125,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/drum1.png',0,0,66,53,1,0)
	anim:SetHotSpot(33,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum1',anim,398,94,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/drum2.png',0,0,44,76,1,0)
	anim:SetHotSpot(22,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum2',anim,638,282,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/drum3.png',0,0,74,70,1,0)
	anim:SetHotSpot(37,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum3',anim,647,462,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/drum4.png',0,0,69,80,1,0)
	anim:SetHotSpot(34,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum4',anim,963,585,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/drum5.png',0,0,67,87,1,0)
	anim:SetHotSpot(33,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum5',anim,287,612,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/drum6.png',0,0,95,91,1,0)
	anim:SetHotSpot(47,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum6',anim,833,731,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/elephant.png',0,0,45,69,1,0)
	anim:SetHotSpot(22,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('elephant',anim,284,73,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife1.png',0,0,79,21,1,0)
	anim:SetHotSpot(39,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife1',anim,794,78,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife2.png',0,0,40,123,1,0)
	anim:SetHotSpot(20,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife2',anim,852,329,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife3.png',0,0,71,46,1,0)
	anim:SetHotSpot(35,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife3',anim,299,280,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife4.png',0,0,81,47,1,0)
	anim:SetHotSpot(40,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife4',anim,468,377,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife5.png',0,0,72,64,1,0)
	anim:SetHotSpot(36,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife5',anim,955,493,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife6.png',0,0,69,33,1,0)
	anim:SetHotSpot(34,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife6',anim,245,413,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife7.png',0,0,70,76,1,0)
	anim:SetHotSpot(35,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife7',anim,388,605,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife8.png',0,0,33,84,1,0)
	anim:SetHotSpot(16,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife8',anim,221,720,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife9.png',0,0,106,29,1,0)
	anim:SetHotSpot(53,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife9',anim,493,699,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife10.png',0,0,87,28,1,0)
	anim:SetHotSpot(43,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife10',anim,744,749,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife11.png',0,0,101,28,1,0)
	anim:SetHotSpot(50,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife11',anim,510,518,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/pair_of_mittens1.png',0,0,48,50,1,0)
	anim:SetHotSpot(24,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_mittens1',anim,891,70,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/pair_of_mittens2.png',0,0,84,54,1,0)
	anim:SetHotSpot(42,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pair_of_mittens2',anim,240,650,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/tulip.png',0,0,101,50,1,0)
	anim:SetHotSpot(50,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tulip',anim,780,569,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/jug.png',0,0,75,89,1,0)
	anim:SetHotSpot(37,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jug',anim,607,750,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/lantern.png',0,0,46,57,1,0)
	anim:SetHotSpot(23,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lantern',anim,504,16,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/11_car_/Items/knife.png',0,0,114,33,1,0)
	anim:SetHotSpot(57,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('knife',anim,656,131,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
